Follow

Supported Browsers

At this moment, Slidely's services are fully supported by the following browsers:

  • Chrome 18 and up
  • Firefox 18 and up
  • Explorer 8 and up
  • Safari 6 and up

Attention: Please note that using another browser, not listed above, may result in multiple issues while using Slidely and therefore it is highly recommended to upgrade your browser.

 

For further assistance, please contact helpdesk@slidely.com

Was this article helpful?
6 out of 6 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk